Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Interface CIBApplicationIf

All Superinterfaces:
  CIBManagedObjectIf, CIBMonitoredObjectIf

All Known Implementing Classes:
  CIBApplication

public interface CIBApplicationIf
extends CIBMonitoredObjectIf

Provides methods that should be implemented by a CIBApplication managed object

Method Summary
`void` | `addCIBApplication(javax.management.ObjectName objectName)` Allows to add a CIBApplication objectName in the list of ContainedApplications
`void` | `addCIBExternalResource(javax.management.ObjectName objectName)` Allows to add an CIBExternalResource to the list of ConsumedServices
`void` | `addCIBResource(javax.management.ObjectName objectName)` Allows to add a CIBResource objectName in the list of ConsumedResources
`void` | `addCIBService(javax.management.ObjectName objectName)` Allows to add a CIBService objectName in the list of DeployedServices
`void` | `removeCIBApplication(javax.management.ObjectName objectName)` Allows to remove a CIBApplication object name from the list of ContainedApplications
`void` | `removeCIBExternalResource(javax.management.ObjectName objectName)` Allows to remove an an CIBExternalService from the list of ConsumedServices
`void` | `removeCIBResource(javax.management.ObjectName objectName)` Allows to remove a CIBResource object name from the list of ConsumedResources
`void` | `removeCIBService(javax.management.ObjectName objectName)` Allows to remove a CIBService objectName from the list DeployedServices
`void` | `setApplicationContainer(javax.management.ObjectName objectName)` Allows to set the CIBApplication Container object Name
`void` | `setCIBProduct(javax.management.ObjectName objectName)` Returns the CIBProduct the CIBApplication has been deployed

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectIf
`getCIBProviderHandler, setCIBProviderHandler`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectIf
`setDescription`

Method Detail

### addCIBApplication

    public void addCIBApplication(javax.management.ObjectName objectName)

  Allows to add a CIBApplication objectName in the list of ContainedApplications

  Parameters:
    `objectName` - ObjectName

### removeCIBApplication

    public void removeCIBApplication(javax.management.ObjectName objectName)
                              throws CIBException

  Allows to remove a CIBApplication object name from the list of ContainedApplications

  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBService

    public void addCIBService(javax.management.ObjectName objectName)

  Allows to add a CIBService objectName in the list of DeployedServices

  Parameters:
    `objectName` - ObjectName

### removeCIBService

    public void removeCIBService(javax.management.ObjectName objectName)
                          throws CIBException

  Allows to remove a CIBService objectName from the list DeployedServices

  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBResource

    public void addCIBResource(javax.management.ObjectName objectName)

  Allows to add a CIBResource objectName in the list of ConsumedResources

  Parameters:
    `objectName` - ObjectName

### removeCIBResource

    public void removeCIBResource(javax.management.ObjectName objectName)
                           throws CIBException

  Allows to remove a CIBResource object name from the list of ConsumedResources

  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBExternalResource

    public void addCIBExternalResource(javax.management.ObjectName objectName)

  Allows to add an CIBExternalResource to the list of ConsumedServices

  Parameters:
    `objectName` - ObjectName

### removeCIBExternalResource

    public void removeCIBExternalResource(javax.management.ObjectName objectName)
                                   throws CIBException

  Allows to remove an an CIBExternalService from the list of ConsumedServices

  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### setApplicationContainer

    public void setApplicationContainer(javax.management.ObjectName objectName)

  Allows to set the CIBApplication Container object Name

  Parameters:
    `objectName` - ObjectName

### setCIBProduct

    public void setCIBProduct(javax.management.ObjectName objectName)

  Returns the CIBProduct the CIBApplication has been deployed

  Parameters:
    `objectName` - ObjectName

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD